
QGIS Application - Bug report #18291

[Layout] Exporting a layout with a special character in its name changes the output file name

2018-03-01 03:29 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26182

Description

I'm trying to export to image a layout named BeaucouzéSite

In the Save Layout as dialog, the file name is written as Beaucouz_Site (and exported as is unless you manually replace).

Associated revisions

Revision 8543a912 - 2018-03-05 02:06 AM - Nyall Dawson

Use a better regex for removing invalid characters from filenames

Fixes atlas exports remove international characters from filenames

Fixes #18291

Revision d43db07d - 2018-03-06 02:20 AM - Nyall Dawson

Use a better regex for removing invalid characters from filenames

Fixes atlas exports remove international characters from filenames

Fixes #18291

(cherry-picked from 8543a9)

History

#1 - 2018-03-01 03:34 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-03-03 07:12 AM - Nyall Dawson

- Status changed from Open to In Progress

#3 - 2018-03-05 02:06 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|8543a91264154dea6a7d4916f603975cbef25405.
#4 - 2018-03-06 11:55 AM - Giovanni Manghi

- Resolution set to fixed/implemented
